Bug 827007 - [drm:drm_debugfs_create_files] *ERROR* Cannot create /sys/kernel/debug/dri/channel/4
[drm:drm_debugfs_create_files] *ERROR* Cannot create /sys/kernel/debug/dri/ch...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 08:11 EDT by hellojoker
Modified: 2013-07-31 17:49 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:49:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci (12.60 KB, text/plain)
2012-05-31 08:11 EDT, hellojoker
no flags Details
dmesg (72.77 KB, text/plain)
2012-05-31 08:12 EDT, hellojoker
no flags Details
lspci (1.91 KB, text/plain)
2012-06-05 05:49 EDT, Ismael Olea
no flags Details
dmesg (74.60 KB, text/plain)
2012-06-05 05:50 EDT, Ismael Olea
no flags Details
lspciVGA + dmesg log (72.10 KB, text/plain)
2012-08-02 12:32 EDT, Antonio Trande
no flags Details
unrecoverable issue, cannot login to gnome3 desktop (79.76 KB, text/plain)
2012-09-24 17:57 EDT, Kedar Bidarkar
no flags Details

  None (edit)
Description hellojoker 2012-05-31 08:11:08 EDT
Created attachment 588060 [details]
lspci

Fedora release 17 (Beefy Miracle)


Simply typing dmesg | grep-i error


  
dmesg | grep -i error
[   20.427789] [drm:drm_debugfs_create_files] *ERROR* Cannot create /sys/kernel/debug/dri/channel/4
[   21.770203] [drm:drm_debugfs_create_files] *ERROR* Cannot create /sys/kernel/debug/dri/channel/4
[   41.251214] [drm:drm_debugfs_create_files] *ERROR* Cannot create /sys/kernel/debug/dri/channel/4
[   41.742090] [drm:drm_debugfs_create_files] *ERROR* Cannot create /sys/kernel/debug/dri/channel/4

uname -r 
3.3.7-1.fc17.x86_64

the same with previous versions

3.3.6-3.fc17.x86_64

3.3.4-5.fc17.x86_64
Comment 1 hellojoker 2012-05-31 08:12:10 EDT
Created attachment 588062 [details]
dmesg
Comment 2 Ismael Olea 2012-06-05 05:49:32 EDT
Created attachment 589455 [details]
lspci
Comment 3 Ismael Olea 2012-06-05 05:50:45 EDT
Created attachment 589456 [details]
dmesg
Comment 4 Ismael Olea 2012-06-05 05:51:13 EDT
Same here: uname -a
Linux patxuko.local 3.3.7-1.fc17.i686.PAE #1 SMP Mon May 21 22:42:05 UTC 2012 i686 i686 i386 GNU/Linux
Comment 5 Josh Boyer 2012-07-10 12:56:03 EDT
Is there an actual problem here, or just the error messages being printed?
Comment 6 Ismael Olea 2012-07-11 04:50:15 EDT
I'm suffering really big memory leaks in gnome-shell, which grow big enough to halt the machine. It can take a week or less to happen in a machine on 24x7.

I don't have a real evidence this gnome-shell bug is related with nouveu but that machine shared the same sw versions of everything than other machine but with different graphics card (Nvidia vs Intel), so I suspect.
Comment 7 Antonio Trande 2012-08-02 12:30:41 EDT
Same errors for me, too.

# uname -a
Linux local 3.5.0-2.fc17.x86_64 #1 SMP Mon Jul 30 14:48:59 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
# modinfo nouveau
filename:       /lib/modules/3.5.0-2.fc17.x86_64/kernel/drivers/gpu/drm/nouveau/nouveau.ko
license:        GPL and additional rights
description:    nVidia Riva/TNT/GeForce
author:         Stephane Marchesin
alias:          pci:v000012D2d*sv*sd*bc03sc*i*
alias:          pci:v000010DEd*sv*sd*bc03sc*i*
depends:        drm,drm_kms_helper,ttm,mxm-wmi,i2c-core,wmi,video,i2c-algo-bit
intree:         Y
vermagic:       3.5.0-2.fc17.x86_64 SMP mod_unload 
parm:           agpmode:AGP mode (0 to disable AGP) (int)
parm:           modeset:Enable kernel modesetting (int)
parm:           vbios:Override default VBIOS location (charp)
parm:           vram_pushbuf:Force DMA push buffers to be in VRAM (int)
parm:           vram_notify:Force DMA notifiers to be in VRAM (int)
parm:           vram_type:Override detected VRAM type (charp)
parm:           duallink:Allow dual-link TMDS (>=GeForce 8) (int)
parm:           uscript_lvds:LVDS output script table ID (>=GeForce 8) (int)
parm:           uscript_tmds:TMDS output script table ID (>=GeForce 8) (int)
parm:           ignorelid:Ignore ACPI lid status (int)
parm:           noaccel:Disable all acceleration (int)
parm:           nofbaccel:Disable fbcon acceleration (int)
parm:           force_post:Force POST (int)
parm:           override_conntype:Ignore DCB connector type (int)
parm:           tv_disable:Disable TV-out detection (int)
parm:           tv_norm:Default TV norm.
		Supported: PAL, PAL-M, PAL-N, PAL-Nc, NTSC-M, NTSC-J,
			hd480i, hd480p, hd576i, hd576p, hd720p, hd1080i.
		Default: PAL
		*NOTE* Ignored for cards with external TV encoders. (charp)
parm:           reg_debug:Register access debug bitmask:
		0x1 mc, 0x2 video, 0x4 fb, 0x8 extdev,
		0x10 crtc, 0x20 ramdac, 0x40 vgacrtc, 0x80 rmvio,
		0x100 vgaattr, 0x200 EVO (G80+) (int)
parm:           perflvl:Performance level (default: boot) (charp)
parm:           perflvl_wr:Allow perflvl changes (warning: dangerous!) (int)
parm:           msi:Enable MSI (default: off) (int)
parm:           ctxfw:Use external HUB/GPC ucode (fermi) (int)
parm:           mxmdcb:Santise DCB table according to MXM-SIS (int)
Comment 8 Antonio Trande 2012-08-02 12:32:51 EDT
Created attachment 601994 [details]
lspciVGA + dmesg log
Comment 9 Kedar Bidarkar 2012-09-24 17:57:36 EDT
Created attachment 616741 [details]
unrecoverable issue, cannot login to gnome3 desktop
Comment 10 Kedar Bidarkar 2012-09-24 18:38:18 EDT
Faced this issue only after playing a video using totem player. 
The system hanged and had to reboot.
Get the "Oh no! Something has gone wrong." message.
But could start the gnome3 using startx.
Comment 11 Kedar Bidarkar 2012-09-25 14:50:27 EDT

the comments 9 and 10 can be ignored, have raised a new bug, as it had nothing to do with this original bug.
Comment 12 hellojoker 2012-10-04 16:41:33 EDT
I apologize for the delay, personally I have not noticed any particular problems, I can only add that the error is also present in f18 (3.6.0-2.fc18.x86_64), and in this case I have a problem after resuming from suspend, I do not know if things are related.

Thanks
Comment 13 Fedora End Of Life 2013-07-03 17:03:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-07-31 17:49:21 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.